--[[
 * fxstop.lua
 * Copyright (C) 2022 Garritt Grandberg (aka Tirrag/peace-n-love)

   fxstop is free software: you can redistribute it and/or modify it
   under the terms of the GNU Lesser General Public License as published
   by the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   fxstop is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
   See the GNU Lesser General Public License for more details.

   You should have received a copy of the GNU Lesser General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
   
	----------------------------------------------------------------------------
	changes
	----------------------------------------------------------------------------
	
	v0.01 - created
	v0.02 - created the commands to control the addon
	v0.03 - updated use of true/false to 0/1 in the .ini file.  added debug level setting.
]]

local ScriptName = "FXStop";
local Version = "0.03";
local CreatorName = "Garritt Grandberg (aka Tirrag/peace-n-love)";
local Description = "Lua addon to stop certain visual and sound effects.";
local IconPath = "fxstop/fxstop_icon.png";

function ShroudOnStart()
	fxstop_core = SES.utility.loadmodule("fxstop/modules/fxstop-core")()
end
